/* Common */

html{
    font-size: 62.5%;
    overflow-x: hidden;
    width: 100%;
    height: auto;
}

body {
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    background-color: #E7E7DF;
    margin: 0;
}
  
p {
    font-family: "Source Code Pro", serif;
    font-optical-sizing: auto;
    font-size: 1.8rem;
}

hr {
    border: 1px solid black;
    margin: 0;
}

#white-hr {
    border: 1px solid #E7E7DF;
    padding-left: 0;
    position: relative;
    width: 200%;
    right: 35px
}

h1 {
    font-weight: 900;
    font-size: 6.4rem;
}

h3 {
    font-family: "Source Code Pro", serif;
    font-optical-sizing: auto;
    font-size: 2.4rem;
    font-weight: 600;
}

h4 {
    font-family: "Source Code Pro", serif;
    font-optical-sizing: auto;
    font-size: medium;
    font-weight: 400
}

.profile {
    margin: 4rem auto;
    padding: 0 2rem;
    display: flex;
    gap: 4rem;
    align-items: center;
    justify-content: space-between;
}

.pfp-box {
    position: relative;
    height: 300px;
}


.pfp {
    border-left: 3px solid #060606;
    position: relative;
    scale: 0.440;
    left: 380px;
    margin-left: auto;
    margin-right: 0;
    margin-top: -379px;
}


ul {
    font-family: "Source Code Pro", serif;
    font-optical-sizing: auto;
    font-size: 1.8rem;
}

/* Navbar */

.navbar {
    background-color: #060606;
    padding: 2em 4em;
    margin: auto;
}

.nav-logo {
    align-items: center;
    position: absolute;
}

.nav-items {
    display: flex;
    gap: 2.5rem;
    justify-content: flex-end;
    text-align: center;
    margin: auto;
    position: relative;
}

.nav-link {
    position:relative;
    text-decoration: none;
    font-size: 1.7rem;
    font-weight: 400;
    color: #E7E7DF;
    margin-right: 10px;
}

.occupation {
    font-size: large;
    font-weight: 100;
}

.phone-number {
    display: flex;
    position: relative;
    align-items: center;
    gap: 8px;
    top: -15px;
}

.email {
    display: flex;
    position: relative;
    align-items: center;
    gap: 8px;
    top: -30px;
}




/* About */

.section-about {
    justify-content: center;
    align-items: center;    
}

.section-education {
    justify-content: center;
    align-items: center;    
}

.section-skills {
    justify-content: center;
    align-items: center;    
}

.section-works {
    justify-content: center;
    align-items: center;    
}

.section-heading {
    display: flex;
    flex-direction: row;
    gap: 3.9em;
}

.section-heading-white {
    display: flex;
    flex-direction: row;
    gap: 3.9em;
}

.section-number {
    color: #060606;
    scale: 1.5;
    margin-left: 4rem;
    right: 30px;
}

.section-number-white {
    color: #E7E7DF;
    scale: 1.5;
    margin-left: 4rem;
    right: 30px;
}

.section-card {
    color: #060606;
    margin-left: 5px;
    padding: 1px 5px;
    border-radius: 10px;
    margin-top: 7px;
}

.section-card-white {
    color: #E7E7DF;
    margin-left: 5px;
    padding: 1px 5px;
    border-radius: 10px;
    margin-top: 7px;
}

.logo {
    margin-top: 77px;
}


.zijie {
    position: absolute;
    top: 522px;
    right: 500px;
    scale: 0.4;
}

.row {
    display: flex;

}

.about-column {
    display: flex;
    flex-direction: row;
    flex: 50%;
}

#about-column1 {
    margin-left: 36px;
    margin-right: 20px;
}

#about-column2 {
    margin-left: 20px;
    margin-right: 36px;
}


/* Education */

.row2 {
    display: flex;
}

.column {
    flex: 1;
}

.education-list {
    list-style: circle;
    padding: 3.6rem;
    position: relative;
    margin-top: 0;
    padding-top: 0;
} 

.h3-degree {
    margin-bottom: 0;
    padding-bottom: 0;

}

.year {
    opacity: 50%;
}

li {
    list-style-type: disc;
    color: #060606;
    scale: 1;
}

.education-details {
    font-family: "Source Code Pro", serif;
    font-optical-sizing: auto;
    font-size: 2.0rem;
    font-weight: 400;
}

/* Skills*/

.skills-column {
    background-color: #060606;
    color: #E7E7DF;
    padding-left: 3.6rem;
}

.skills-item {
   margin-left: 3.6rem;
}


/* Softwares*/

.software {
    margin: 3.6rem;
    margin-left: 3.6rem;
    margin-right: 3.6rem;
    justify-items: center;
    align-items: center;
    justify-content: space-between;
}

.software-heading {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 3.9em;
}

.software-heading .logo{
    position: relative;
    top: -35px;
}


.icon {
    display: flex;
    gap: 50px;
}

.icon svg {
    scale: 150%;
}


/* Works-images*/

.works-images {
    width: 1650px;
    columns: 2;
    margin: 36px auto;
    column-gap: 10px;
    box-sizing: border-box;
}

.works-images .box {
    width: 100%;
    margin-bottom: 10px;
    break-inside: avoid;
    overflow: hidden;
    border-radius: 15px;
    border: 1.5px solid black;
}

.works-images .box img {
    max-width: 100%;
    filter: grayscale(100%) blur(0.5px);
    transform: scale(1.2);
    opacity: 0.8;
    transition: all 0.3s ease;
}

.works-images .box img:hover {
    max-width: 100%;
    filter: grayscale(0);
    transform: scale(1);
    opacity: 1;
}

.image-content {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.image-content:hover {
    transform: translateY(0);
}

@media (max-width: 1200px) 
{
    .works-images {
        width: calc(100% - 40px);
        columns: 2;
    }
}


/* Contacts*/

.contact {
    background-color: #060606;
    height: 550px;
}

.contact-heading {
    margin-left: 3.6rem;
    color: #E7E7DF;
    margin-bottom: 0;
    display: flex;
    gap: 24px;
}

.contact-icon {
    color: #060606;
}

#logo-contact {
    position: relative;
    margin-top: 71px;
}

.form {
    color: #E7E7DF;
    margin-left: 3.6rem;
}

.form-icon{
    position: relative;
}

.icon-logo{
    position: relative;
    display: flex;
    margin-top: -80px;
    gap: 15px;
}

.pixiv:hover {
    opacity: 70%;
}

.facebook:hover {
    opacity: 70%;
}

.X:hover {
    opacity: 70%;
}

.instagram:hover {
    opacity: 70%;
}

.follow-me {
    position: relative;
    margin-top: -5px;
}

.form-content {
    margin-bottom: 10px;
    margin-top: 15px;
    margin-right: 3.6rem;
    display: flex;
    justify-content: right;
}

input[type="text"] {
    background-color:  #eeeee8;
    padding: 10px;
    margin-top: -10px;
    margin-left: 0;
    width: 600px;
    border-radius: 10px;
}

input[type="text"]:focus {
    background-color: #eeeee8;
}

.button {
    position: relative;
    margin-top: 20px;
    right: -475px;
    z-index: 1;
}

button[type=submit] {
    width: 70px;
    padding: 5px 10px;
    border: none;
    margin: 5px;
    border-radius: 5px;
    background-color:#060606;
    color: #E7E7DF;
    border: 1.5px solid #E7E7DF;
    cursor: pointer;
}

button[type=submit]:hover {
    background-color: #4ea947;
    color: #E7E7DF;
}

button[type=submit]:active {
    transform: translateY(1px);
}

button[type="reset"] {
    width: 70px;
    padding: 5px 10px;
    border: none;
    border-radius: 5px;
    background-color:#060606;
    color: #E7E7DF;
    border: 1.5px solid #E7E7DF;
    cursor: pointer;
}

button[type="reset"]:hover {
    background-color: #f44336;
}

button[type=reset]:active {
    transform: translateY(1px);
}

.button-2 {
    position: relative;
    right: -1260px;
    margin-top: 3px;
}

#contact-name-logo {
    position: relative;
    color: #E7E7DF;
    float: right;
    margin-top: -200px;
}

.linktree {
    text-decoration: none;
}


